[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: [Libguestfs] Unable to build appliance



On Fri, Jun 03, 2011 at 04:28:30PM -0700, Sean McAfee wrote:
> On Fri, Jun 3, 2011 at 3:47 PM, Sean McAfee <eefacm gmail com> wrote:
> 
> > Now I'm trying to build libguestfs-1.4.6, but I get a completely different
> > error:
> >
> > ...
> > mkdir -p ../perl/lib/Sys
> > mkdir -p ../ruby/ext/guestfs
> > mkdir -p ../java/com/redhat/et/libguestfs
> > mkdir -p ../csharp
> > cd .. && ocaml -warn-error A src/generator.ml
> > Cannot find file xml-light.cma.
> > File "src/generator.ml", line 11819, characters 4-53:
> > Unbound constructor Xml.Element
> > make[3]: *** [stamp-generator] Error 2
> >
> 
> OK, I was able to solve this by installing the package
> libxml-light-ocaml-dev.  Now I get a little further, but eventually the
> build stops again with this error:
> 
> + febootstrap -i augeas-libs -i btrfs-progs -i diffutils -i e2fsprogs -i
> e4fsprogs -i gfs-utils -i gfs2-utils -i hfsplus-tools -i iputils -i kernel
> -i MAKEDEV -i nilfs-utils -i ntfsprogs -i ntfs-3g -i reiserfs-utils -i
> libselinux -i udev -i util-linux-ng -i vim-minimal -i xz -i zfs-fuse -i bash
> -i binutils -i coreutils -i dosfstools -i file -i grub -i jfsutils -i lsof
> -i lvm2 -i module-init-tools -i net-tools -i parted -i procps -i scrub -i
> strace -i xfsprogs -i zerofree -u updates-released-f12 fedora-13 initramfs
> Warning, could not load sqlite, falling back to pickle
> 
> 
> Error getting repository data for febootstrap,febootstrap-updates,
> repository not found
> chroot: cannot run command `rm': No such file or directory
> chroot: cannot run command `rm': No such file or directory
> make[2]: *** [../initramfs/fakeroot.log] Error 1
> make[2]: Leaving directory `/tmp/libguestfs-1.4.6/appliance'
> make[1]: *** [all-recursive] Error 1
> make[1]: Leaving directory `/tmp/libguestfs-1.4.6'
> make: *** [all] Error 2
> 
> Any ideas?

Which version of febootstrap are you pairing with this old libguestfs?

libguestfs up to ~ 1.7.something required febootstrap 2.x.  After
that, febootstrap 3 is required.

You need to be really specific about what this "old Ubuntu" is that
you're trying to build on.  What kernel version?  What version of KVM?
In general terms we need a very recent version of Debian/Ubuntu,
because older versions just didn't support the features we need.

Rich.

-- 
Richard Jones, Virtualization Group, Red Hat http://people.redhat.com/~rjones
virt-p2v converts physical machines to virtual machines.  Boot with a
live CD or over the network (PXE) and turn machines into Xen guests.
http://et.redhat.com/~rjones/virt-p2v


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]